# ---------------------------------------------------------------------
# Book:        SFS
# ---------------------------------------------------------------------
# Quantlet:    SFScola1
# ---------------------------------------------------------------------
# Description: SFScola1 reads daily stock prices for Coca-Cola company
#              from 1 January 2002 to 30 November 2004 and plots
#              the time series
#              Corresponds to exercise 13.20(1.) in SFS
# ---------------------------------------------------------------------
# Usage:       -
# ---------------------------------------------------------------------
# Inputs:      none
# ---------------------------------------------------------------------
# Output:      Time series plot         
# ---------------------------------------------------------------------
# Example:     -
# ---------------------------------------------------------------------
# Author:       
# ---------------------------------------------------------------------

rm(list=ls())

x = read.table('Coca_cola.txt')                              # Stock prices
x=ts(x) # transform to time series object

# plotting with adjusted axes
plot(x,type="l",ylab="Price (USD)",xlab="Time (days)",col="blue",ylim=c(min(x),max(x)),xlim=c(0,length(x)),lwd=2)
