function p=var_pot_backtesting(x,y,z,v,h)
v=-v;
V=x+y+z;
L=V(2:end,1)-V(1:(end-1),1);
T=length(L);
outlier=NaN(1,T-h);
for j=1:T-h
exceedVaR(j)=(L(j+h)<v(j));
    if exceedVaR(j)>0 
        outlier(j)=L(j+h);
    end;
end;
p=sum(exceedVaR)/(T-h);
K=find(isfinite(outlier));
outlier=outlier(K);
plot(L(h+1:end),'.')
grid on
hold on
plot(v,'Color','red','LineWidth',2)
plot(K,outlier,'.','Color','m');
yplus=K.*0+min(L(h+1:end))-2;
plot(K,yplus,'+','Color',[0,0.25098,0]);
xlim([-3 1755])
legend('Profit/Loss','VaR','Exceedances')
set(gca,'XTick',[261 521 782 1043 1304 1566 1826]-250,...
'LineWidth',1.6,'FontSize',16,'FontWeight','Bold')
set(gca,'XTickLabel',{'Jan 2000' 'Jan 2001' ...
   'Jan 2002' 'Jan 2003' 'Jan 2004' 'Jan 2005' 'Jan 2006'},...
   'LineWidth',1.6,'FontSize',16,'FontWeight','Bold')
        box on